Bug 500105 - [hi_IN][Various Sign]Unicode 0952/0953/0954 don't have the right font shape
[hi_IN][Various Sign]Unicode 0952/0953/0954 don't have the right font shape
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 02:32 EDT by koka xiong
Modified: 2009-11-24 00:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 00:30:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the error font shape in gedit (32 bytes, application/octet-stream)
2009-05-11 02:35 EDT, koka xiong
no flags Details
the correct font shape (10.96 KB, application/vnd.oasis.opendocument.text)
2009-05-11 02:53 EDT, koka xiong
no flags Details

  None (edit)
Description koka xiong 2009-05-11 02:32:17 EDT
Description of problem:
In gedit input 0952/0953/0954 with RAW CODE,the font
shape is not correct.

Version-Release number of selected component (if applicable):
pango-devel-1.22.1-1.fc10.i386
pango-1.22.1-1.fc10.i386
pangomm-2.14.0-2.fc10.i386


How reproducible:
always


Steps to Reproduce:
1.In gedit input 0952/0953/0954 with RAW CODE

  
Actual results:
The font shape is not correct.

Expected result

Additional info:
Please see the attachment of correct font and error font
Comment 1 koka xiong 2009-05-11 02:35:28 EDT
Created attachment 343313 [details]
the error font shape in gedit
Comment 2 koka xiong 2009-05-11 02:53:12 EDT
Created attachment 343319 [details]
the correct font shape
Comment 3 Bug Zapper 2009-11-18 06:56:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Pravin Satpute 2009-11-24 00:30:20 EST
as these characters depend on position of previous characters
so better to test with typing after any valid characters

say for example

क॒  -> 0915 + 0952
क॓  -> 0915 + 0953
क॔  -> 0915 + 0954

or test it by typing a space and then these characters else these will be not visible, since they will move to left side since they attach with previous characters.   

 ॒  -> 0020 + 0952
 ॓  -> 0020 + 0953
 ॔  -> 0020 + 0954

closing now please reopen if you feel any problem

Note You need to log in before you can comment on or make changes to this bug.